| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csPtrKey< T > Class Template Reference
[Containers]

A helper template to use pointers as keys for hashes. More...

`#include <csutil/hash.h>`

List of all members.

## Public Member Functions
| csPtrKey (csPtrKey const &other)
| csPtrKey (T *ptr)
| csPtrKey ()
uint | GetHash () const
| operator T * () const
T * | operator-> () const
csPtrKey & | operator= (csPtrKey const &other)
## Friends
bool | operator< (const csPtrKey &r1, const csPtrKey &r2)

## Detailed Description

### template<typename T>
class csPtrKey< T >

A helper template to use pointers as keys for hashes.

Definition at line 147 of file hash.h.

The documentation for this class was generated from the following file:

- csutil/hash.h